org.xml.sax

## Class SAXNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.xml.sax.SAXNotSupportedException

- All Implemented Interfaces:
    java.io.Serializable

      public class SAXNotSupportedException
      extends SAXException

  Exception class for an unsupported operation.

  > This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY. See http://www.saxproject.org for further information.

  An XMLReader will throw this exception when it recognizes a feature or property identifier, but cannot perform the requested operation (setting a state or value). Other SAX2 applications and extensions may use this class for similar purposes.

  Since:
    SAX 2.0
  Version:
    2.0.1 (sax2r2)
  Author:
    David Megginson
  See Also:
    `SAXNotRecognizedException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXNotSupportedException()` Construct a new exception with no message.
    `SAXNotSupportedException(java.lang.String message)` Construct a new exception with the given message.

  - ### Method Summary

    - ### Methods inherited from class org.xml.sax.SAXException

      `getException, getMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXNotSupportedException

          public SAXNotSupportedException()

      Construct a new exception with no message.

    - #### SAXNotSupportedException

          public SAXNotSupportedException(java.lang.String message)

      Construct a new exception with the given message.
      Parameters:
        `message` - The text message of the exception.

Copyright © 2014 Apache XML Project. All Rights Reserved.